# Profile | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

Represents a user profile

### Hierarchy

- Profile

### Indexable

[key: string]: any

Represents a user profile

## Index

### Constructors

- constructor

### Properties

- @context
- @type
- _profile
- apps
- appsMeta
- image
- name

### Methods

- toJSON
- toToken
- fromToken
- makeZoneFile
- validateSchema

## Constructors

### constructor

- new Profile(profile?: {}): Profile

- - Defined in packages/profile/src/profile.ts:42

  #### Parameters

  - ##### Default value profile: {} = {}

  #### Returns Profile

## Properties

### @context

@context: typeof CONTEXT

- Defined in packages/keychain/src/profiles.ts:26

### @type

@type: typeof PERSON_TYPE

- Defined in packages/keychain/src/profiles.ts:25

### _profile

_profile: {}

- Defined in packages/profile/src/profile.ts:42

#### Type declaration

- ##### [key: string]: any

### Optional apps

apps: undefined | {}

- Defined in packages/keychain/src/profiles.ts:27

### Optional appsMeta

appsMeta: undefined | {}

- Defined in packages/keychain/src/profiles.ts:30

### Optional image

image: ProfileImage []

- Defined in packages/keychain/src/profiles.ts:37

### Optional name

name: undefined | string

- Defined in packages/keychain/src/profiles.ts:36

## Methods

### toJSON

- toJSON(): {}

- - Defined in packages/profile/src/profile.ts:54

  #### Returns {}

  - ##### [key: string]: any

### toToken

- toToken(privateKey: string): string

- - Defined in packages/profile/src/profile.ts:58

  #### Parameters

  - ##### privateKey: string

  #### Returns string

### Static fromToken

- fromToken(token: string, publicKeyOrAddress?: string | null): Profile

- - Defined in packages/profile/src/profile.ts:67

  #### Parameters

  - ##### token: string

  - ##### Default value publicKeyOrAddress: string | null = null

  #### Returns Profile

### Static makeZoneFile

- makeZoneFile(domainName: string, tokenFileURL: string): string

- - Defined in packages/profile/src/profile.ts:72

  #### Parameters

  - ##### domainName: string

  - ##### tokenFileURL: string

  #### Returns string

### Static validateSchema

- validateSchema(profile: any, strict?: boolean): any

- - Defined in packages/profile/src/profile.ts:62

  #### Parameters

  - ##### profile: any

  - ##### Default value strict: boolean = false

  #### Returns any

Generated using TypeDoc